## com.vividsolutions.jts.noding
Class SimpleNoder

    java.lang.Object
      com.vividsolutions.jts.noding.SinglePassNoder
          com.vividsolutions.jts.noding.SimpleNoder

All Implemented Interfaces:
  Noder

public class SimpleNoder
extends SinglePassNoder

Nodes a set of `SegmentString`s by performing a brute-force comparison of every segment to every other one. This has n^2 performance, so is too slow for use on large numbers of segments.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.noding.SinglePassNoder
`segInt`

Constructor Summary
`SimpleNoder()`

Method Summary
`void` `computeNodes(java.util.Collection inputSegStrings)` Computes the noding for a collection of `SegmentString`s.
`java.util.Collection` `getNodedSubstrings()` Returns a `Collection` of fully noded `SegmentStrings`.

Methods inherited from class com.vividsolutions.jts.noding.SinglePassNoder
`setSegmentIntersector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleNoder

    public SimpleNoder()

Method Detail

### getNodedSubstrings

    public java.util.Collection getNodedSubstrings()

  Description copied from class: `SinglePassNoder`
  Returns a `Collection` of fully noded `SegmentStrings`. The SegmentStrings have the same context as their parent.

  Specified by:
    `getNodedSubstrings` in interface `Noder`
  Specified by:
    `getNodedSubstrings` in class `SinglePassNoder`
  Returns:
    a Collection of SegmentStrings

### computeNodes

    public void computeNodes(java.util.Collection inputSegStrings)

  Description copied from class: `SinglePassNoder`
  Computes the noding for a collection of `SegmentString`s. Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

  Specified by:
    `computeNodes` in interface `Noder`
  Specified by:
    `computeNodes` in class `SinglePassNoder`
  Parameters:
    `inputSegStrings` - a collection of `SegmentString`s to node